Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ExpressionInfo

    java.lang.Object
      jet.api.ExpressionNode
          jet.api.ExpressionInfo

    public class ExpressionInfo

extends ExpressionNode

Constructor.Defines an expression of Filter.

Field Summary
`static int` | `BETWEEN` Triple Expression Operator type
`static int` | `EQUALS` Binary Expression Operator type
`static int` | `IN` Binary Expression Operator type
`static int` | `ISNULL` Single Expression Operator type
`static int` | `LESS_THAN` Binary Expression Operator type
`static int` | `LESS_THAN_EQUALS` Binary Expression Operator type
`static int` | `LIKE` Binary Expression Operator type
`static int` | `MORE_THAN` Binary Expression Operator type
`static int` | `MORE_THAN_EUQALS` Binary Expression Operator type
`static int` | `NOT_BETWEEN` Triple Expression Operator type
`static int` | `NOT_EQUALS` Binary Expression Operator type
`static int` | `NOT_IN` Binary Expression Operator type
`static int` | `NOT_ISNULL` Single Expression Operator type
`static int` | `NOT_LIKE` Binary Expression Operator type

Constructor Summary
`ExpressionInfo(ExpressionFieldInfo expression1, ExpressionFieldInfo expression2, ExpressionFieldInfo expression3, int type)` Constructor.
`ExpressionInfo(ExpressionFieldInfo expression1, ExpressionFieldInfo expression2, int type)` Constructor.
`ExpressionInfo(ExpressionFieldInfo expression1, int type)` Constructor.

Method Summary
`ExpressionFieldInfo` | `get1stExpression()` Gets the first Expression Field Information
`ExpressionFieldInfo` | `get2ndExpression()` Gets the second Expression Field Information
`ExpressionFieldInfo` | `get3rdExpression()` Gets the third Expression Field Information
`java.lang.String` | `getOperator()` Gets the operator's name of the expression
`int` | `getOperatorType()` Gets the `int` Operator Type of the expression
`static boolean` | `isBinaryConditionOperator(int operatorType)` Indicates whether if the operator is a Binary Condition type or not.
`static boolean` | `isSingleConditionOperator(int operatorType)` Indicates whether the operator is a Single Condition type or not.
`static boolean` | `isTripleConditionOperator(int operatorType)` Indicates whether if the operator is a Triple Condition type or not.
`void` | `set1stExpression(ExpressionFieldInfo expression1)` Sets the first Expression Field Information
`void` | `set2ndExpression(ExpressionFieldInfo expression2)` Sets the second Expression Field Information
`void` | `set3rdExpression(ExpressionFieldInfo expression3)` Sets the third Expression Field Information
`void` | `setOperatorType(int type)` Sets the `int` Operator Type of the expression
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final int IN

  Binary Expression Operator type

  See Also:
    Constant Field Values

### NOT_IN

    public static final int NOT_IN

  Binary Expression Operator type

  See Also:
    Constant Field Values

### LIKE

    public static final int LIKE

  Binary Expression Operator type

  See Also:
    Constant Field Values

### NOT_LIKE

    public static final int NOT_LIKE

  Binary Expression Operator type

  See Also:
    Constant Field Values

### EQUALS

    public static final int EQUALS

  Binary Expression Operator type

  See Also:
    Constant Field Values

### NOT_EQUALS

    public static final int NOT_EQUALS

  Binary Expression Operator type

  See Also:
    Constant Field Values

### MORE_THAN

    public static final int MORE_THAN

  Binary Expression Operator type

  See Also:
    Constant Field Values

### MORE_THAN_EUQALS

    public static final int MORE_THAN_EUQALS

  Binary Expression Operator type

  See Also:
    Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

  Binary Expression Operator type

  See Also:
    Constant Field Values

### LESS_THAN_EQUALS

    public static final int LESS_THAN_EQUALS

  Binary Expression Operator type

  See Also:
    Constant Field Values

### ISNULL

    public static final int ISNULL

  Single Expression Operator type

  See Also:
    Constant Field Values

### NOT_ISNULL

    public static final int NOT_ISNULL

  Single Expression Operator type

  See Also:
    Constant Field Values

### BETWEEN

    public static final int BETWEEN

  Triple Expression Operator type

  See Also:
    Constant Field Values

### NOT_BETWEEN

    public static final int NOT_BETWEEN

  Triple Expression Operator type

  See Also:
    Constant Field Values

Constructor Detail

### ExpressionInfo

    public ExpressionInfo(ExpressionFieldInfo expression1,
                          int type)
                   throws java.lang.IllegalArgumentException

  Constructor. Creates a `Single Condition` Expression. I.e, `address NOT_ISNULL`

  Parameters:
    `expression1` - the ExpressionFieldInfo
    `type` - Expression Operator type
  Throws:
    `java.lang.IllegalArgumentException`

### ExpressionInfo

    public ExpressionInfo(ExpressionFieldInfo expression1,
                          ExpressionFieldInfo expression2,
                          int type)
                   throws java.lang.IllegalArgumentException

  Constructor. Creates a `Binary Condition` Expression. I.e, `Order ID = 1005`

  Parameters:
    `expression1` - the first ExpressionFieldInfo
    `expression2` - the second ExpressionFieldInfo
    `type` - Expression Operator type
  Throws:
    `java.lang.IllegalArgumentException`

### ExpressionInfo

    public ExpressionInfo(ExpressionFieldInfo expression1,
                          ExpressionFieldInfo expression2,
                          ExpressionFieldInfo expression3,
                          int type)
                   throws java.lang.IllegalArgumentException

  Constructor. Creates a `Triple Condition` Expression. I.e, `Order ID BETWEEN 1005 and 2005`

  Parameters:
    `expression1` - the first ExpressionFieldInfo
    `expression2` - the second ExpressionFieldInfo
    `expression3` - the third ExpressionFieldInfo
    `type` - Expression Operator type
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### get1stExpression

    public ExpressionFieldInfo get1stExpression()

  Gets the first Expression Field Information

  Returns:
    the Expression Field Information

### set1stExpression

    public void set1stExpression(ExpressionFieldInfo expression1)

  Sets the first Expression Field Information

  Parameters:
    `expression1` - the Expression Field Information

### get2ndExpression

    public ExpressionFieldInfo get2ndExpression()

  Gets the second Expression Field Information

  Returns:
    the Expression Field Information

### set2ndExpression

    public void set2ndExpression(ExpressionFieldInfo expression2)
                          throws java.lang.IllegalArgumentException

  Sets the second Expression Field Information

  Parameters:
    `expression1` - the Expression Field Information
  Throws:
    `java.lang.IllegalArgumentException`

### getOperator

    public java.lang.String getOperator()

  Gets the operator's name of the expression

  Returns:
    the operator's name

### isTripleConditionOperator

    public static boolean isTripleConditionOperator(int operatorType)

  Indicates whether if the operator is a Triple Condition type or not. I.e, `BETWEEN` and `NOT_BETWEEN` are Triple Condition type.

  Parameters:
    `operatorType` - the int value which specifies the operator type
  Returns:
    `true` if the operator is Triple Condition type, otherwise return `false`.

### isBinaryConditionOperator

    public static boolean isBinaryConditionOperator(int operatorType)

  Indicates whether if the operator is a Binary Condition type or not. I.e, `EQUALS` and `IN` are Binary Condition type.

  Parameters:
    `operatorType` - the int value which specifies the operator type
  Returns:
    `true` if the operator is Binary Condition type, otherwise return `false`.

### isSingleConditionOperator

    public static boolean isSingleConditionOperator(int operatorType)

  Indicates whether the operator is a Single Condition type or not. I.e, `ISNULL` and `NOT_ISNULL` are Single Condition type.

  Parameters:
    `operatorType` - the int value which specifies the operator type
  Returns:
    `true` if the operator is Single Condition type, otherwise return `false`.

### setOperatorType

    public void setOperatorType(int type)
                         throws java.lang.IllegalArgumentException

  Sets the `int` Operator Type of the expression

  Parameters:
    `type` - the Operator Type of the expression
  Throws:
    `java.lang.IllegalArgumentException`

### getOperatorType

    public int getOperatorType()

  Gets the `int` Operator Type of the expression

  Returns:
    the the `int` value of Operator Type of the expression

### get3rdExpression

    public ExpressionFieldInfo get3rdExpression()

  Gets the third Expression Field Information

  Returns:
    the Expression Field Information

### set3rdExpression

    public void set3rdExpression(ExpressionFieldInfo expression3)
                          throws java.lang.IllegalArgumentException

  Sets the third Expression Field Information

  Parameters:
    `expression3` - the Expression Field Information
  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD